org.scalatest.matchers.Matchers

# HaveWord

#### class HaveWord extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. HaveWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new HaveWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply [T] (firstPropertyMatcher: org.scalatest.matchers.HavePropertyMatcher[T, _], propertyMatchers: org.scalatest.matchers.HavePropertyMatcher[T, _]*): Matcher[T]

   This method enables the following syntax:

   This method enables the following syntax:

       book should have (title ("A Tale of Two Cities"))
                        ^

7. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def length (expectedLength: Long): Matcher[AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        book should have length (9)
                         ^

    Currently (as of ScalaTest 0.9.5), this method will produce a `Matcher[AnyRef]`, and if the `AnyRef` passed to that matcher's `apply` method does not have the appropriate `length` property structure, all will compile but a `TestFailedException` will result at runtime explaining the problem. The one exception is that it will work on `java.util.List`, even though that type has no `length` structure (its `size` property will be used instead.) In a future ScalaTest release, this may be tightened so that all is statically checked at compile time.

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def size (expectedSize: Long): Matcher[AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        book should have size (9)
                         ^

    Currently, this method will produce a `Matcher[AnyRef]`, and if the `AnyRef` passed to that matcher's `apply` method does not have the appropriate `size` property structure, all will compile but a `TestFailedException` will result at runtime explaining the problem. In a future ScalaTest release, this may be tightened so that all is statically checked at compile time.

20. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def toString (): String

    Definition Classes
      AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any